Package org.eclipse.zest.layouts.constraints

# Class BasicEdgeConstraints

java.lang.Object
org.eclipse.zest.layouts.constraints.BasicEdgeConstraints

All Implemented Interfaces:
  `LayoutConstraint`

@Deprecated(since="2.0", forRemoval=true) public class BasicEdgeConstraints extends Object implements LayoutConstraint
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This class will be removed in a future release.

@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This class is not intended to be referenced by clients.
@noinstantiate
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`isBiDirectional`
Deprecated, for removal: This API element is subject to removal in a future version.
`int`
`weight`
Deprecated, for removal: This API element is subject to removal in a future version.

## Constructor Summary

Constructors
Constructor
Description
`BasicEdgeConstraints()`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Deprecated, for removal: This API element is subject to removal in a future version.
This method clears all the fields of the layout constraints.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### isBiDirectional

public boolean isBiDirectional
Deprecated, for removal: This API element is subject to removal in a future version.

### weight

public int weight
Deprecated, for removal: This API element is subject to removal in a future version.

## Constructor Details

### BasicEdgeConstraints

public BasicEdgeConstraints()
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### clear

public void clear()
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `LayoutConstraint`
This method clears all the fields of the layout constraints. This should not be called outside the layout package

Specified by:
  `clear` in interface `LayoutConstraint`